summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Diniz Bortolotto2024-03-10 14:55:26 +0100
committer Willy Sudiarto Raharjo2024-03-11 00:45:31 +0100
commit56c36caceb9ffba58ee7eeead5b2f30e03fdcca6 (patch)
tree05c006ef516c55684a991ac30b7c14cc9ec5ff0a /development
parent3622a0a7467f13e01fdb5d34e5d53026a54f56c2 (diff)
downloadslackbuilds-56c36caceb9ffba58ee7eeead5b2f30e03fdcca6.tar.gz
development/gitlab-cli: Added (Gitlab CLI).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/gitlab-cli/README13
-rw-r--r--development/gitlab-cli/gitlab-cli.SlackBuild105
-rw-r--r--development/gitlab-cli/gitlab-cli.info14
-rw-r--r--development/gitlab-cli/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/development/gitlab-cli/README b/development/gitlab-cli/README
new file mode 100644
index 0000000000..2dc377f541
--- /dev/null
+++ b/development/gitlab-cli/README
@@ -0,0 +1,13 @@
+gitlab-cli (GitLab CLI tool)
+
+GLab is an open source GitLab CLI tool bringing GitLab to your terminal
+next to where you are already working with git and your code without
+switching between windows and browser tabs.
+
+Work with issues, merge requests, watch running pipelines directly from
+your CLI among other features.
+
+glab is available for repositories hosted on GitLab.com and
+self-managed GitLab instances. glab supports multiple authenticated
+GitLab instances and automatically detects the authenticated hostname
+from the remotes available in the working Git directory.
diff --git a/development/gitlab-cli/gitlab-cli.SlackBuild b/development/gitlab-cli/gitlab-cli.SlackBuild
new file mode 100644
index 0000000000..53406543b5
--- /dev/null
+++ b/development/gitlab-cli/gitlab-cli.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for gitlab-cli
+
+# Copyright 2024 Diniz Bortolotto <diniz.bortolotto@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gitlab-cli
+DEBNAM=glab
+VERSION=${VERSION:-1.37.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "arm" ] && [ -z "$DEBARCH" ]; then
+ echo "Download .deb package at:"
+ echo -n "https://gitlab.com/gitlab-org/cli/-/releases/"
+ echo "v"$VERSION"/downloads/glab_"$VERSION"_Linux_"$( uname -m )".deb"
+ echo "and call SlackBuild doing: DEBARCH="$( uname -m )" $0"
+elif [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="x86_64"
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $PKG
+ar p $CWD/${DEBNAM}_${VERSION}_Linux_${DEBARCH}.deb data.tar.gz | tar xzv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv $PKG/usr/share/man $PKG/usr/ && rmdir $PKG/usr/share
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cd $TMP
+rm -rf cli-v$VERSION
+tar xvf $CWD/cli-v$VERSION.tar.gz
+cd cli-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md SECURITY.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/gitlab-cli/gitlab-cli.info b/development/gitlab-cli/gitlab-cli.info
new file mode 100644
index 0000000000..26f732fcff
--- /dev/null
+++ b/development/gitlab-cli/gitlab-cli.info
@@ -0,0 +1,14 @@
+PRGNAM="gitlab-cli"
+VERSION="1.37.0"
+HOMEPAGE="https://gitlab.com/gitlab-org/cli"
+DOWNLOAD="https://gitlab.com/gitlab-org/cli/-/archive/v1.37.0/cli-v1.37.0.tar.gz \
+ https://gitlab.com/gitlab-org/cli/-/releases/v1.37.0/downloads/glab_1.37.0_Linux_i386.deb"
+MD5SUM="83e99040535ee1b6b3222ca4751913ba \
+ ecee73526ca604c4702064fda4955b6a"
+DOWNLOAD_x86_64="https://gitlab.com/gitlab-org/cli/-/archive/v1.37.0/cli-v1.37.0.tar.gz \
+ https://gitlab.com/gitlab-org/cli/-/releases/v1.37.0/downloads/glab_1.37.0_Linux_x86_64.deb"
+MD5SUM_x86_64="83e99040535ee1b6b3222ca4751913ba \
+ 176a122cf49a586f817c54b52822319a"
+REQUIRES=""
+MAINTAINER="Diniz Bortolotto"
+EMAIL="diniz.bortolotto@gmail.com"
diff --git a/development/gitlab-cli/slack-desc b/development/gitlab-cli/slack-desc
new file mode 100644
index 0000000000..41efb3209b
--- /dev/null
+++ b/development/gitlab-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gitlab-cli: gitlab-cli (GitLab CLI tool)
+gitlab-cli:
+gitlab-cli: GLab is an open source GitLab CLI tool bringing GitLab to your
+gitlab-cli: terminal next to where you are already working with git and
+gitlab-cli: your code without switching between windows and browser tabs.
+gitlab-cli: Work with issues, merge requests, watch running pipelines
+gitlab-cli: directly from your CLI among other features.
+gitlab-cli:
+gitlab-cli: Homepage: https://gitlab.com/gitlab-org/cli
+gitlab-cli:
+gitlab-cli: